## ICalTimeSpan

ICalTimeSpan

## Functions

ICalTimeSpan * | i_cal_time_span_new_timet ()
ICalTimeSpan * | i_cal_time_span_clone ()
time_t | i_cal_time_span_get_start ()
void | i_cal_time_span_set_start ()
time_t | i_cal_time_span_get_end ()
void | i_cal_time_span_set_end ()
gboolean | i_cal_time_span_get_is_busy ()
void | i_cal_time_span_set_is_busy ()

## Types and Values

| ICalTimeSpan
struct | ICalTimeSpanClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalTimeSpan

## Description

## Functions

### i_cal_time_span_new_timet ()

    ICalTimeSpan *
    i_cal_time_span_new_timet (time_t start,
                               time_t end,
                               gboolean is_busy);

Creates a new ICalTimeSpan. Free it with `g_object_unref()`, when no longer needed.

#### Parameters

start | Start of the time span |
end | End of the time span |
is_busy | Whether the time span is busy |

#### Returns

The newly created ICalTimeSpan.

[transfer full]

Since: 3.0.5

### i_cal_time_span_clone ()

    ICalTimeSpan *
    i_cal_time_span_clone (const ICalTimeSpan *src);

Creates a new ICalTimeSpan, clone of `src` . Free it with `g_object_unref()`, when no longer needed.

#### Parameters

src | A time span to clone |

#### Returns

The newly created ICalTimeSpan, clone of `src` .

[transfer full]

Since: 3.0.5

### i_cal_time_span_get_start ()

    time_t
    i_cal_time_span_get_start (ICalTimeSpan *timespan);

Gets the start of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be queried |

#### Returns

The start.

Since: 1.0

### i_cal_time_span_set_start ()

    void
    i_cal_time_span_set_start (ICalTimeSpan *timespan,
                               time_t start);

Sets the start of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be set |
start | The start |

Since: 1.0

### i_cal_time_span_get_end ()

    time_t
    i_cal_time_span_get_end (ICalTimeSpan *timespan);

Gets the end of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be queried |

#### Returns

The end.

Since: 1.0

### i_cal_time_span_set_end ()

    void
    i_cal_time_span_set_end (ICalTimeSpan *timespan,
                             time_t end);

Sets the end of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be set |
end | The end |

Since: 1.0

### i_cal_time_span_get_is_busy ()

    gboolean
    i_cal_time_span_get_is_busy (ICalTimeSpan *timespan);

Gets the is_busy of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be queried |

#### Returns

The is_busy.

Since: 1.0

### i_cal_time_span_set_is_busy ()

    void
    i_cal_time_span_set_is_busy (ICalTimeSpan *timespan,
                                 gboolean is_busy);

Sets the is_busy of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be set |
is_busy | The is_busy |

Since: 1.0

## Types and Values

### ICalTimeSpan

    typedef struct _ICalTimeSpan ICalTimeSpan;

This is the ICalTimeSpan instance.

### struct ICalTimeSpanClass

    struct ICalTimeSpanClass {
    };

This is the ICalTimeSpan class.